List webhook endpoints

GEThttps://api.getstarted.ae/v1/webhooks

Lists webhook endpoints in this environment. Secrets are never included.

Responses

  • 200OK. Returns the object shown in the example.
  • Every endpoint can also return 401 for a missing or invalid key. See Errors.
curl -X GET "https://api.getstarted.ae/v1/webhooks" \
  -H "Authorization: Bearer $GETSTARTED_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "id": "whk_01J9ZKJ3GX7N2S",
      "object": "webhook",
      "url": "https://api.northwindlabs.com/hooks/getstarted",
      "events": [
        "incorporation.status_changed",
        "incorporation.issue_created",
        "incorporation.issue_resolved",
        "incorporation.completed"
      ],
      "status": "ENABLED",
      "description": "Production incorporation events",
      "livemode": false,
      "createdAt": "2026-09-20T09:10:05Z"
    }
  ],
  "hasMore": false,
  "nextCursor": null
}